Bug 1174077 (CVE-2014-8109) - CVE-2014-8109 httpd: LuaAuthzProvider argument handling issue
Summary: CVE-2014-8109 httpd: LuaAuthzProvider argument handling issue
Status: CLOSED WONTFIX
Alias: CVE-2014-8109
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20141112,reported=2...
Keywords: Security
Depends On: 1174078
Blocks: 1174079
TreeView+ depends on / blocked
 
Reported: 2014-12-15 05:11 UTC by Murray McAllister
Modified: 2019-06-08 20:19 UTC (History)
31 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-15 20:15:34 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-12-15 05:11:33 UTC
If an authorization script for LuaAuthzProvider were provided in the configuration multiple times, only the arguments of the last specification were used when invoking the script. This could lead to scripts being invoked with unexpected arguments.

Further details are available in the thread of the original report and bug:

http://www.openwall.com/lists/oss-security/2014/11/28/5

https://issues.apache.org/bugzilla/show_bug.cgi?id=57204

Upstream fix:

https://github.com/apache/httpd/commit/3f1693d558d0758f829c8b53993f1749ddf6ffcb

This affects Apache HTTP Server versions 2.3 and later (such as what is shipped in Red Hat Enterprise Linux 7), as mod_lua is not available in earlier releases. Note that support for LuaAuthzProvider is experimental.

Comment 1 Murray McAllister 2014-12-15 05:13:26 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1174078]

Comment 3 Josh Bressers 2014-12-15 20:15:34 UTC
Red Hat does not consider this bug to be a security issue.


Note You need to log in before you can comment on or make changes to this bug.